From d0a122d31107cfe645466e9b20b3fe3ba2439011 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 2 Sep 2022 11:29:54 +0100
Subject: [PATCH] Add OpenBSD ARM Little Endian BFD support.

	* config.bfd (arm-*-openbsd*): Restore target.
---
 bfd/ChangeLog  | 4 ++++
 bfd/config.bfd | 3 +--
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/bfd/ChangeLog b/bfd/ChangeLog
index f5a03c7e7f5..50e60dad102 100644
--- a/bfd/ChangeLog
+++ b/bfd/ChangeLog
@@ -1,3 +1,7 @@
+2022-09-02  Frederic Cambus  <fred@statdns.com>
+
+	* config.bfd (arm-*-openbsd*): Restore target.
+
 2022-08-30  Nick Clifton  <nickc@redhat.com>
 
 	PR 29529
diff --git a/bfd/config.bfd b/bfd/config.bfd
index 8c7be5da38a..a79a0e2bf5b 100644
--- a/bfd/config.bfd
+++ b/bfd/config.bfd
@@ -90,7 +90,6 @@ case $targ in
  arm*-*-aout | \
  arm-*-coff | \
  arm*-*-netbsdaout* | \
- arm-*-openbsd* | \
  arm-*-oabi | \
  arm-*-riscix* | \
  arm*-*-symbianelf* | \
@@ -383,7 +382,7 @@ case "${targ}" in
     targ_defvec=arm_elf32_be_vec
     targ_selvecs="arm_elf32_le_vec"
     ;;
-  arm-*-netbsd*)
+  arm-*-netbsd* | arm-*-openbsd*)
     targ_defvec=arm_elf32_le_vec
     targ_selvecs="arm_elf32_be_vec"
     ;;
-- 
2.31.1

